FAQ  •  Search  •  Profile  •  Log in to check your private messages  •  Log in
 Library not found View next topic
View previous topic
Post new topicReply to topic
Author Message
campo85
Kai Beginner
Kai Beginner


Joined: 03 Feb 2012
Posts: 1

PostPosted: Fri Feb 03, 2012 2:46 am Reply with quoteBack to top

Hi guys, I've an Arch Linux and I've a little problem with kaiengine. When I run ./kaiengine, I get as result :

Code:


[campo@ciuchino kaiEngine-7.4.18]$ ./kaiengine
./kaiengine: error while loading shared libraries: libwx_gtk2u_richtext-2.8.so.0: cannot open shared object file: No such file or directory



I've already installed the appropriate library :

Code:


[campo@ciuchino kaiEngine-7.4.18]$ ls -l /usr/lib/libwx_gtk2u_richtext-2.8.so*
lrwxrwxrwx 1 root root      29 13 dic 08.17 /usr/lib/libwx_gtk2u_richtext-2.8.so -> libwx_gtk2u_richtext-2.8.so.0
lrwxrwxrwx 1 root root      33 13 dic 08.17 /usr/lib/libwx_gtk2u_richtext-2.8.so.0 -> libwx_gtk2u_richtext-2.8.so.0.8.0
-rwxr-xr-x 1 root root 1016056 13 dic 08.17 /usr/lib/libwx_gtk2u_richtext-2.8.so.0.8.0



Can someone help me ? Thanks in advice and sorry for my bad english.
View user's profileSend private message
karmic
Kai Regular
Kai Regular


Joined: 02 Jan 2006
Posts: 172

PostPosted: Fri Feb 03, 2012 11:11 am Reply with quoteBack to top

Are you using x86_64 version?
In case of Arch Linux x86_64, 32-bit libraries are stored at /usr/lib32.

Code:
$ uname -a
Linux arch-64 3.2.2-1-ARCH #1 SMP PREEMPT Thu Jan 26 08:40:20 CET 2012 x86_64 Intel(R) Xeon(R) CPU L5420 @ 2.50GHz GenuineIntel GNU/Linux
$ ldd ./kaiengine
    linux-gate.so.1 =>  (0xf7737000)
    libwx_gtk2u_richtext-2.8.so.0 => /usr/lib32/libwx_gtk2u_richtext-2.8.so.0 (0xf7630000)
    libwx_gtk2u_aui-2.8.so.0 => /usr/lib32/libwx_gtk2u_aui-2.8.so.0 (0xf75d0000)
    libwx_gtk2u_xrc-2.8.so.0 => /usr/lib32/libwx_gtk2u_xrc-2.8.so.0 (0xf7551000)
    libwx_gtk2u_qa-2.8.so.0 => /usr/lib32/libwx_gtk2u_qa-2.8.so.0 (0xf7535000)
    libwx_gtk2u_html-2.8.so.0 => /usr/lib32/libwx_gtk2u_html-2.8.so.0 (0xf74a4000)
    libwx_gtk2u_adv-2.8.so.0 => /usr/lib32/libwx_gtk2u_adv-2.8.so.0 (0xf73ec000)
    libwx_gtk2u_core-2.8.so.0 => /usr/lib32/libwx_gtk2u_core-2.8.so.0 (0xf70bd000)
    libwx_baseu_xml-2.8.so.0 => /usr/lib32/libwx_baseu_xml-2.8.so.0 (0xf70b4000)
    libwx_baseu_net-2.8.so.0 => /usr/lib32/libwx_baseu_net-2.8.so.0 (0xf708a000)
    libwx_baseu-2.8.so.0 => /usr/lib32/libwx_baseu-2.8.so.0 (0xf6f43000)
--More--


If you want to run kaiengine(x86) on Arch Linux x86_64, you can install lib32-wxgtk package from the multilib repository to your system. See below.
https://wiki.archlinux.org/index.php/Arch64_FAQ#Can_I_run_32-bit_apps_inside_Arch64.3F

_________________
XLinkKai on Linux ( http://www37.atwiki.jp/linux_kai/ )
View user's profileSend private message
Display posts from previous:      
Post new topicReply to topic


 Jump to:   



View next topic
View previous topic
You can post new topics in this forum
You can reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2002 phpBB Group :: Theme by Daz :: All times are GMT